# Processes the income verifications for the accounts supplied.

Endpoint: POST /insights-engine/v1/income-verification
Version: all
Security: Bearer

## Request fields (application/json-patch+json):

  - `accountId` (string, required)
    Unique identifier for the account to be verified for income

  - `includeFlags` (boolean)
    Includes the flags used to calculate the confidence score

  - `excludeBenefits` (boolean)
    Excludes the benefits from the income streams

  - `currencyCode` (string, required)
    Currency code for the transactions, currently supported codes are GBP and USD.

  - `transactions` (array,null)

  - `transactions.transactionId` (string, required)
    Unique transaction id assigned by the provider

  - `transactions.description` (string, required)
    A description line for the transaction

  - `transactions.amount` (number, required)
    The quantity of money

  - `transactions.creditDebitIndicator` (string, required)
    Enum: "Credit", "Debit"

  - `transactions.status` (string, required)
    Enum: "Pending", "Booked"

  - `transactions.bookingDate` (string, required)
    ISO8601 formatted date string containing the date the transaction is expected to be settled(or did settle)

## Response 200 fields (application/json):

  - `accountId` (string,null)

  - `incomeStreams` (array,null)

  - `incomeStreams.month1` (object)

  - `incomeStreams.month1.income` (number)
    Income value for the month

  - `incomeStreams.month1.month` (integer)

  - `incomeStreams.month1.year` (integer)

  - `incomeStreams.month2` (object)

  - `incomeStreams.month3` (object)

  - `incomeStreams.month4` (object)

  - `incomeStreams.month5` (object)

  - `incomeStreams.month6` (object)

  - `incomeStreams.month7` (object)

  - `incomeStreams.month8` (object)

  - `incomeStreams.month9` (object)

  - `incomeStreams.month10` (object)

  - `incomeStreams.month11` (object)

  - `incomeStreams.estimatedIncome` (number)
    Estimated income for the combined income streams

  - `incomeStreams.confidenceScore` (number)
    Calculated confidence score for the combined income streams

  - `incomeStreams.confidenceScoreFlags` (object)

  - `incomeStreams.confidenceScoreFlags.incomeForLast3Months` (boolean)
    Boolean flag for determining whether the income for the last three months
is present for this group ( > 0)

  - `incomeStreams.confidenceScoreFlags.varianceTolerance5Percent` (boolean)
    Boolean flag for determining whether the difference between estimated income and each
of the last three months incomes is >= -5%

  - `incomeStreams.confidenceScoreFlags.varianceTolerance10Percent` (boolean)
    Boolean flag for determining whether the difference between estimated income and each
of the last three months incomes is >= -10%

  - `incomeStreams.confidenceScoreFlags.mostRecentCheckValue` (boolean)
    Boolean flag for determining whether the most recent recorded income is higher than
or equal to the estimated income

  - `incomeStreams.confidenceScoreFlags.stabilityOverall` (number)
    Calculated income stability over the whole recorded period

  - `incomeStreams.confidenceScoreFlags.stability6Months` (number)
    Calculated income stability over the period of 6 months

  - `incomeStreams.name` (string,null)
    Unique description of this income stream

  - `incomeStreams.numberOfDeposits` (integer)
    The number of deposits made for this income stream

  - `incomeStreams.isBenefit` (boolean)
    A flag indicating whether this income stream is a benefit

  - `incomeStreams.isSalary` (boolean)
    A flag indicating whether this income stream is a salary

  - `incomeStreams.rank` (string)
    Enum: "One", "Two", "Three"

  - `incomeStreamsSummary` (object,null)

## Response 400 fields (application/json):

  - `code` (string,null)
    Error code.

  - `description` (string,null)
    Error message.

  - `details` (string,null)
    Error details.

  - `correlationId` (string,null)
    User transaction tracking Id


## Response 401 fields
